<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.4 at 2020-03-07 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Spring3HibernateApp - FindBugs Bug Detector Report</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20200307" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                    <div id="bannerLeft">
                Spring3HibernateApp
                </div>
                    <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
                    
                <div class="xleft">
        <span id="publishDate">Last Published: 2020-03-07</span>
                  &nbsp;| <span id="projectVersion">Version: 1.8-SNAPSHOT</span>
                      </div>
            <div class="xright">                    <a href="./" title="Spring3HibernateApp">Spring3HibernateApp</a>
              
                    
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
                    
                                          <h5>Project Documentation</h5>
                  <ul>
                                                                              <li class="expanded">
                          <a href="project-reports.html" title="Project Reports">Project Reports</a>
                    <ul>
                      <li class="none">
            <strong>FindBugs</strong>
          </li>
              </ul>
        </li>
          </ul>
                             <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
                    
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section">
<h2>FindBugs Bug Detector Report<a name="FindBugs_Bug_Detector_Report"></a></h2>
<p>The following document contains the results of <a class="externalLink" href="http://findbugs.sourceforge.net">FindBugs</a></p>
<p>FindBugs Version is <i>3.0.1</i></p>
<p>Threshold is <i>medium</i></p>
<p>Effort is <i>min</i></p></div>
<div class="section">
<h2>Summary<a name="Summary"></a></h2>
<table border="0" class="bodyTable">
<tr class="a">
<th>Classes</th>
<th>Bugs</th>
<th>Errors</th>
<th>Missing Classes</th></tr>
<tr class="b">
<td>15</td>
<td>2</td>
<td>0</td>
<td>0</td></tr></table></div>
<div class="section">
<h2>Files<a name="Files"></a></h2>
<table border="0" class="bodyTable">
<tr class="a">
<th>Class</th>
<th>Bugs</th></tr>
<tr class="b">
<td><a href="#com.sample.servlet.DownloadServlet">com.sample.servlet.DownloadServlet</a></td>
<td>2</td></tr></table></div><a name="com.sample.servlet.DownloadServlet"></a>
<div class="section">
<h3>com.sample.servlet.DownloadServlet<a name="com.sample.servlet.DownloadServlet"></a></h3>
<table border="0" class="bodyTable">
<tr class="a">
<th>Bug</th>
<th>Category</th>
<th>Details</th>
<th>Line</th>
<th>Priority</th></tr>
<tr class="b">
<td>com.sample.servlet.DownloadServlet.doGet(HttpServletRequest, HttpServletResponse) may fail to clean up java.io.InputStream on checked exception</td>
<td>EXPERIMENTAL</td>
<td><a class="externalLink" href="http://findbugs.sourceforge.net/bugDescriptions.html#OBL_UNSATISFIED_OBLIGATION_EXCEPTION_EDGE">OBL_UNSATISFIED_OBLIGATION_EXCEPTION_EDGE</a></td>
<td>30</td>
<td>Medium</td></tr>
<tr class="a">
<td>Relative path traversal in com.sample.servlet.DownloadServlet.doGet(HttpServletRequest, HttpServletResponse)</td>
<td>SECURITY</td>
<td><a class="externalLink" href="http://findbugs.sourceforge.net/bugDescriptions.html#PT_RELATIVE_PATH_TRAVERSAL">PT_RELATIVE_PATH_TRAVERSAL</a></td>
<td>26</td>
<td>Medium</td></tr></table></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;                   2020.
          All Rights Reserved.      
                    
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
